2011-05-15 Arjan Bouter <abouter@sourcemage.org>
	* DEPENDS: fixed hal+dbus / udev hotplug options

2011-03-10 Eric Sandall <sandalle@sourcemage.org>
	* PRE_SUB_DEPENDS, SUB_DEPENDS: Allow forcing kdrive and xephyr
	  xephyr requires kdrive

2011-02-17 Florian Franzmann <siflfran@hawo.stw.uni-erlangen.de>
	* INSTALL: create /usr/share/xsessions if it is missing and
	  xinitrc.desktop is to be installed

2010-11-27 Florian Franzmann <siflfran@hawo.stw.uni-erlangen.de>
	* INSTALL, CONFIGURE, startxinitrc, xinitrc.desktop: added optional
	  .desktop file that calls the user's .xinitrc
	* DETAILS: PATCHLEVEL=1

2010-11-12 Andraž "ruskie" Levstik <ruskie+f03a580f@codemages.net>
	* gl_select.patch: updated for glselect

2010-10-18 Ladislav Hagara <hgr@vabo.cz>
	* DEPENDS: removed xf86-video-i810 (has been removed form test already)

2010-09-04 Eric Sandall <sandalle@sourcemage.org>
	* CONFIGURE: -multibuffer no longer an option remove query and from
	  XORG_SERVER_OPTS
	* DEPENDS: Optionally depends on udev for configuration support
	  May only select udev xor (hal (preferred) or dbus)

2010-06-26 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 1.8.1
	  SOURCE matches upstream posted SHA1
	  Requires DRI (mesalib) 7.8.0+ (currently development release)
	* BUILD: fontdir -> fontrootdir

2010-05-04 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 1.7.7
	  SOURCE matches upstream posted SHA1

2010-03-24 Vlad Glagolev <stealth@sourcemage.org>
	* [REPAIR^all^]EXPORTS: added, to provide XORG_SERVER_OPTS outside

2010-03-17 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 1.7.6

2010-02-23 Arwed v. Merkatz <v.merkatz@gmx.net>
	* PRE_SUB_DEPENDS, REPAIR^all^PRE_SUB_DEPENDS: fixed DPMS sub
	  dependency to actually return 0 if it is available, otherwise always
	  recompiles xorg-server if something needs DPMS

2010-02-17 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 1.7.5

2010-02-04 Ladislav Hagara <hgr@vabo.cz>
	* CONFLICTS, UP_TRIGGERS: none provider of monolithic X now

2010-01-07 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 1.7.4
	  SOURCE matches upstream posted SHA1
	  Removed PATCHLEVEL

2009-12-16 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* CONFIGURE: fixed the ati driver name and changed the nvidia one to
	  the provider - NVIDIA
	* DEPENDS: specify the grimoire for dependencies on z-rejected spells;
	  handle errors for the selective video driver choice

2009-12-16 Thomas Orgis <sobukus@sourcemage.org>
	* BUILD: Changed default font prefix to /usr/share/fonts/X11 .
	* CONFIGURE: Added note about font paths.
	* DETAILS: patchlevel

2009-12-15 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 1.7.3 (bugfix for 1.7.2)
	  SOURCE matches upstream posted SHA1

2009-11-26 Vlad Glagolev <stealth@sourcemage.org>
	* DEPENDS: force recordproto if record ext has been selected

2009-10-27 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 1.7.1
	  SOURCE matches upstream posted MD5

2009-10-14 Andraž "ruskie" Levstik <ruskie+f03a580f@codemages.net>
	* DEPENDS: removed some depends as per Treeve's suggestion,
	  added xf86-video-nouveau to the list
	* CONFIGURE: added xf86-video-nouveau to the list

2009-10-10 Andraž "ruskie" Levstik <ruskie+f03a580f@codemages.net>
	* DETAILS: updated spell to 1.7.0
	* DEPENDS: updated
	* gl_select.diff: patch

2009-08-01 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 1.6.3
	  SOURCE matches upstream posted MD5

2009-07-09 Andraž "ruskie" Levstik <ruskie+f03a580f@codemages.net>
	* DETAILS: updated spell to 1.6.2
	* BUILD: updated
	* CONFIGURE: removed options
	* DEPENDS: updated

2009-04-25 Andraž "ruskie" Levstik <ruskie+f03a580f@codemages.net>
	* REPAIR^all^PRE_SUB_DEPENDS: added
	* PRE_SUB_DEPENDS: DPMS as sub_dependency
	* SUB_DEPENDS: DPMS as sub_dependency

2009-04-18 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS, BUILD, PRE_BUILD: MesaLib source is no longer required at build

2009-04-15 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* DETAILS: updated spell to 1.6.1
	* xorg-server-mesa.patch: removed
	* PRE_BUILD: removed the patch
	* gl_select.patch: updated

2009-04-01 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated MesaLib to 7.4
	  SOURCE matches upstream posted MD5
	* CONFIGURE: Moved xf86-video-vga from common to uncommon (doesn't even build)
	* DEPENDS: Moved xf86-video-vga from common to uncommon (doesn't even build)

2009-02-28 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* DETAILS: updated spell to 1.6.0
	* BUILD: updated
	* CONFIGURE: updated
	* DEPENDS: updated
	* PRE_BUILD: removed evdev patch, updated gl_select
	* evdev-flush.patch: removed
	* gl_select.patch: updated

2009-02-20 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* FINAL: left this one out

2009-02-10 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* DEPENDS: added z-rej dependency, use NVIDIA provider

2009-02-09 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* PRE_BUILD: use glselect function
	* DEPENDS: no longer use smgl-gl_select,
	  added nvidia_legacy* and renamed ati_driver to ati-fglrx
	* FINAL: use glselect
	* POST_RESURRECT: restore mesa, add FUNCTIONS
	* gl_select.patch: libwfb is always on
	* REPAIR^all^POST_RESURRECT:: copy of POST_RESURRECT

2009-02-08 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* PRE_BUILD: added smgl-gl_select patch, and run it before building,
	  apply a sed as per lynx^3 to fix drm if patch is applied it seems
	* DEPENDS: added smgl-gl_select
	* gl_select.patch: patch to modify some installation paths
	* DETAILS: patchlevel++
	* FINAL: run smgl-gl_select -d
	* CONFIGURE: removed the unknown options(configure complains)

2009-01-26 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* DEPENDS: no more XPrint

2009-01-23 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated MesaLib to 7.3
	  PATCHLEVEL++

2009-01-22 Ethan Grammatikidis <eekee57@fastmail.fm>
	* DEPENDS: Added openssl; render/glyph.c requires openssl/sha.h

2009-01-20 Ethan Grammatikidis <eekee57@fastmail.fm>
	* CONFIGURE, PRE_BUILD: made George's patch optional because it
	  broke compilation for me.

2009-01-18 George Sherwood <gsherwood@sourcemage.org>
	* PRE_BUILD: Added patch
	* xorg-server-mesa.patch: Added patch to fix Bug #14937

2008-11-20 George Sherwood <gsherwood@sourcemage.org>
	* CONFIGURE: Add option to use build builtin bitmap fonts
 
2008-11-18 Robin Cook <rcook@wyrms.net>
	* PRE_BUILD: apply evdev patch to flush evdev keymap.
	  http://lists.freedesktop.org/archives/xorg/2008-November/040239.html

2008-11-10 Eric Sandall <sandalle@sourcemage.org>
	* FINAL: Add info for kbd/mouse drivers in 1.5.3

2008-11-06 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.5.3
	* PRE_BUILD: remove randr.patch
	* randr.patch: deleted

2008-10-14 Vlad Glagolev <stealth@sourcemage.org>
	* INSTALL: removed -- not needed anymore (default_install)
	* FINAL: removed deprecated comments; cleaned up
	* UP_TRIGGERS: check_self every spell needed to be checked on casting X
	  include 1.4.2 in version list where every spell needed to be checked is
	  casted

2008-10-13 Vlad Glagolev <stealth@sourcemage.org>
	* UP_TRIGGERS: fixed up_triggerring if any local grimoires exist

2008-10-11 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 1.5.2; removed useless XORG_VER; quoting
	  paths; cleaned up

2008-10-09 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 1.5.1; use new mesalib (7.2)
	* DEPENDS: added required libpciaccess
	* BUILD: fixed dri path; removed forcing "--disable-xprint", cause
	  in DEPENDS it's optional
	* FINAL: added RgbPath warning

2008-09-19 Arjan Bouter <abouter@sourcemage.org>
	* DEPENDS: made libxp+printproto optional

2008-09-11 Thomas Orgis <sobukus@sourcemage.org>
	* CONFIGURE, DEPENDS: reorder common video choices to be (hopefully)
	  a bit more consistent (similar hardware together), include Matrox
	  chips in common list instead of obscure (they're still produced...
	  prolly more common than S3 Trio64 or such...).
	* DEPENDS: also add Matrox to sane drivers

2008-09-09 Vlad Glagolev <stealth@sourcemage.org>
	* PRE_BUILD: added randr.patch to try to fix the flickering issue from
	  http://thread.gmane.org/gmane.comp.freedesktop.xorg/30567
	* DETAILS: PATCHLEVEL=1

2008-09-04 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* UP_TRIGGERS: don't trigger spells we depend on
	  readded some spells to check_self, removed too many
	  don't use spell as a variable, bad things happen

2008-08-30 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* UP_TRIGGERS: fixed this braindead pos
	  don't fail if there's nothing to up_trigger

2008-08-30 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* CONFIGURE: added xf86-video-intel, thanks Enqlave
	* DEPENDS: added xf86-video-intel, thanks Enqlave

2008-08-30 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: sync mesalib version with current
	* UP_TRIGGERS: fixed weird syntax error (missing `then'): that's why
	  ";" rocks, and "\n" doesn't, cleaned up

2008-08-29 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* UP_TRIGGERS: re-added with migration magic as well

2008-08-28 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* UP_TRIGGERS: disabled for now, not needed

2008-08-26 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* CONFIGURE: added a warning for the more advanced options

2008-08-25 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* CONFIGURE: unlocking all the optional drivers now
	* DEPENDS: runtime_depends_2 used in place of regular

2008-07-13 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* DEPENDS: changed some stuff and commented out some other stuff
	* CONFIGURE: removed some stuff to DEPENDS/BUILD
	* BUILD: forcing dbe

2008-06-16 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* DETAILS: updated spell to 1.4.2
	  mesalib upped to 7.0.3

2008-04-20 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* CONFIGURE: according to sobukus TLS means Thread Local Storage

2008-04-13 Eric Sandall <sandalle@sourcemage.org>
	* PRE_SUB_DEPENDS, SUB_DEPENDS: Allow forcing composite support
	  Bug #13360
	* CONFIGURE: Remove XWin option, only used for Cygwin anyways
	  Bug #13476
	* DEPENDS: Depends on libxfont built with fontcache support (Bug #13374)
	* BUILD: Disable XWin (Bug #13476)

2008-03-17 Eric Sandall <sandalle@sourcemage.org>
	* CONFLICTS: Auto-conflicts with xorg as well

2008-03-16 Eric Sandall <sandalle@sourcemage.org>
	* CONFLICTS: Auto-conflicts with all prior monolithic X providers

2008-01-04 Juuso Alasuutari <iuso@sourcemage.org>
	* UP_TRIGGERS: Fixed loop constructs, fixes bug #14166.

2007-12-25 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* DETAILS: updated spell to 1.4.0.90
	  fixed long description wrap
	* FINAL: ups... forgot to mention the removal of that hack atm

2007-12-02 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* BUILD: correct some paths and fix XKB breakage
	* PRE_BUILD: unpack into the SOURCE_DIRECTORY
	* FINAL: add a hack to force rebuild of some spells AFTER
	  the cast
	* UP_TRIGGERS: stuff needs to be rebuilt
	* DETAILS: mesalib to 7.0.2

2007-11-23 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Depends on libx11
	* PROVIDES: Does not provide X11-LIBS (libx11 does)

2007-10-14 Ismael E. Luceno <ismael.luceno@gmail.com>
	* DETAILS: updated description & short

2007-09-09 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* DETAILS: version update
	* DEPENDS: new depends pixman, hal and dbus

2007-09-07 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* BUILD: added a fix for a gcc 4.2.0 regression

2007-04-24 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* DETAILS: update to 1.3.0.0

2007-04-03 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* DETAILS: updato to 1.2.99.903

2007-03-21 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* DETAILS: update to 1.2.99.902

2007-02-01 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* DETAILS: version update to 1.2.0, PATCHLEVEL++
	* xorg-server-1.1.99.903-fixes-1.patch: removed
	* PRE_BUILD: removed patch
	* DEPENDS: dmx causing probs, added libxi
	* BUILD: dmx causing probs
	* CONFIGURE: minor fixups, enable/disable XInput

2006-12-31 Thomas Orgis <sobukus@sourcemage.org>
	* DETAILS, PRE_BUILD, xorg-server-1.1.99.903-fixes-1.patch:
	  first patchlevel, fixing Makefile stuff for including mipmap.c 

2006-12-03 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* DETAILS: update to 1.1.99.903 and 6.5.2

2006-11-24 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* DETAILS: update to 1.1.99.902

2006-10-26 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* INSTALL: no more bothering with libGLcore

2006-10-21 Juuso Alasuutari <iuso@sourcemage.org>
	* DEPENDS: Changed xorgcfg option default to 'n' (broken at 
	  the moment), added question marks to prompts, other minor 
	  verbal fixes.

2006-10-18 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* INSTALL: minor fix

2006-10-14 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* INSTALL: make it +x
	* FINAL: add smgl-gl_select, removed and added a temp symlink hack
	* DETAILS: version update and mesalib++
	* DEPENDS: removed depends on smgl-gl_select for now
	* CONFIGURE: new options, old options

2006-10-13 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* DEPENDS: typo

2006-10-12 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* INSTALL: making it multi GL Library compatible
	* DETAILS: PATCHLEVEL++
	* DEPENDS: depend on smgl_gl-select

2006-09-16 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* DETAILS: new version of mesalib 6.5.1, back to 6.5

2006-09-02 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Disable xprint (breaks build) (Bug #12713)

2006-08-27 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* DETAILS: update to 1.1.1, SECURITY_PATCH +

2006-05-26 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* CONFIGURE: mark certain opitons as EXPERIMENTAL
	* PROVIDES: removed XDAMAGE
	* DEPENDS: make libxv non-optional for now bug #12140,
	           ups vars can't start with numbers #10866

2006-06-25 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Depend on libxinerama if building DRI in XORG_SERVER_OPTS,
	  otherwise this is optional.

2006-05-23 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* DETAILS: xorg 7.1 update
	* PRE_BUILD: two patches less to apply
	* CONFIGURE: added more options, forgot a "
	* DEPENDS: added more options

2006-05-06 Robin Cook <rcook@wyrms.net>
	* DETAILS: +1 SECURITY_PATCH
	* PRE_BUILD: apply patch xorg-server-1.0.x-mitri.diff

2006-04-06 Pieter Lenaerts <e-type@cwazy.co.uk>
	* CONFIGURE: corrected filename to be sourced

2006-04-05 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* CONFIGURE: ups... wrongly renamed

2006-03-30 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* CONFIGURE: added fonts, input drivers, video drivers, some cleanup
	* DEPENDS: added fonts, input drivers, video drivers, some cleanup

2006-03-22 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* DETAILS: SECURITY_PATCH=1, newer mesalib
	* PRE_BUILD: apply patch
	* xorg-server-1.0.1-geteuid.diff: added
	* MesaLib-6.4.1.tar.bz2.sig: removed

2006-03-12 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* CONFIGURE: sanitizing options

2006-03-06 Karsten Behrmann <BearPerson@sourcemage.org>
	* BUILD: (automated) remove unneeded old opts

2006-03-05 Karsten Behrmann <BearPerson@sourcemage.org>
	* CONFIGURE, BUILD: (automated) unify config_query_option variable name

2006-03-02 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* DETAILS: bad SOURCE2 URL was defined as SOURCE
	* fontcache.c.includes.patch: added to fix buggy includes
	* PRE_BUILD: apply patch
	* DEPENDS: added basic fonts and rgb

2006-02-25 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* DEPENDS: removed profile and added some others
	  needed for a proper out of the box working Xorg

2006-02-11 Robin Cook <rcook@wyrms.net>
	* BUILD: added OPTS

2006-01-23 Robin Cook <rcook@wyrms.net>
	* DETAILS: added MesaLib as SOURCE2
	* PRE_BUILD: added to extract mesalib
	* BUILD: added to put mesa source path to OPTS
	* FINAL: added to delete mesalib source

2005-12-23 Robin Cook <rcook@wyrms.net>
	* PROVIDES: removed OPENGL as it doesn't

2005-12-22 Robin Cook <rcook@wyrms.net>
	* DETAILS: Updated VERSION to 1.0.1
	  added XORG_VER
	  updated SOURCE, SOURCE_URL, and SOURCE_DIRECTORY

2005-12-21 Robin Cook <rcook@wyrms.net>
	* DEPENDS: added libmesa as could not get it to build without it even
	  with DIR & GLX sen to no.
	  added libxres
	* PROVIDES: added

2005-12-15 Robin Cook <rcook@wyrms.net>
	* DETAILS: Updated VERSION to 1.0.0
	* DEPENDS: changed SECTION proto to proto-profile
	* CONFIGURE: changed as kept hanging while casting

2005-12-15 Robin Cook <rcook@wyrms.net>
	* DETAILS: Updated SOURCE_URL to RC4

2005-12-15 Robin Cook <rcook@wyrms.net>
	* DETAILS: Updated VERSION to 0.99.4
	  converted SOURCEHASH to SOURCE_GPG

2005-12-14 Robin Cook <rcook@wyrms.net>
	* DETAILS: Updated SOURCE_URL

2005-11-25 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* CONFIGURE: added tons of options
	* DEPENDS: cosmetic fix

2005-11-25 Karsten Behrmann <BearPerson@sourcemage.org>
	* DEPENDS: auto-created or updated

2005-11-25 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* DETAILS, HISTORY: created spell
